<?php
namespace backend\forms;

use yii\base\Model;
use components\Exception;

/**
 * Class BaseForm
 * @package backend\forms
 */
class BaseForm extends Model
{
	public function handleError()
	{
		$errors = $this->getFirstErrors();
		$result = reset($errors);
		if (is_numeric($result)) {
			throw new Exception($result, \Yii::t('error', $result));
		} else {
			throw new Exception(1003, $result);
		}
	}
}