<?php

return [
	/**
	 * 系统错误信息
	 */
	'100' => 'Continue',
	'101' => 'Switching Protocols',
	'102' => 'Processing',
	'103' => 'Checkpoint',
	'122' => 'Reques­t-URI too long',
	'200' => 'OK',
	'201' => 'Created',
	'202' => 'Accepted',
	'203' => 'Non-Au­tho­rit­ative Inform­ation',
	'204' => 'No Content',
	'205' => 'Reset Content',
	'206' => 'Partial Content',
	'207' => 'Multi-­Status',
	'208' => 'Already Reported',
	'226' => 'IM Used',
	'300' => 'Multiple Choices',
	'301' => 'Moved Perman­ently',
	'302' => 'Found',
	'303' => 'See Other',
	'304' => 'Not Modified',
	'305' => 'Use Proxy',
	'306' => 'Switch Proxy',
	'307' => 'Temporary Redirect',
	'308' => 'Resume Incomplete',
	'400' => 'Bad Request',
	'401' => 'Unauth­orized',
	'402' => 'Payment Required',
	'403' => 'Forbidden',
	'404' => 'Not Found',
	'405' => 'Method Not Allowed',
	'406' => 'Not Acceptable',
	'407' => 'Proxy Authen­tic­ation Required',
	'408' => 'Request Timeout',
	'409' => 'Conflict',
	'410' => 'Gone',
	'411' => 'Length Required',
	'412' => 'Precon­dition Failed',
	'413' => 'Request Entity Too Large',
	'414' => 'Reques­t-URI Too Long',
	'415' => 'Unsupp­orted Media Type',
	'416' => 'Requested Range Not Satisf­iable',
	'417' => 'Expect­ation Failed',
	'418' => 'I am a teapot',
	'422' => 'Unproc­essable Entity',
	'423' => 'Locked',
	'424' => 'Failed Dependency',
	'425' => 'Unordered Collection',
	'426' => 'Upgrade Required',
	'428' => 'Precon­dition Required',
	'429' => 'Too Many Requests',
	'431' => 'Request Header Fields Too Large',
	'444' => 'No Response',
	'449' => 'Retry With',
	'450' => 'Blocked By Windows Parental Controls',
	'451' => 'Unavai­lable For Legal Reasons',
	'499' => 'Client Closed Request',
	'500' => 'Internal Server Error',
	'501' => 'Not Implem­ented',
	'502' => 'Bad Gateway',
	'503' => 'Service Unavai­lable',
	'504' => 'Gateway Timeout',
	'505' => 'HTTP Version Not Supported',
	'506' => 'Variant Also Negotiates',
	'507' => 'Insuff­icient Storage',
	'508' => 'Loop Detected',
	'509' => 'Bandwidth Limit Exceeded',
	'510' => 'Not Extended',
	'511' => 'Network Authen­tic­ation Required',
	'598' => 'Network read timeout error',
	'599' => 'Network connect timeout error',


	'1000' => 'Exception',
	'1001' => '非POST提交',
	'1002' => '非GET提交',
	'1003' => '表单验证失败',

	//message
	'2000' => 'rabbitMQ连接失败',
	'2001' => '消息主体不能为空',
	'2002' => '消息格式错误',
	'2003' => '队列名称不能为空',
	'2004' => '队列名称格式错误',
	'2005' => 'data不能为空',
	'2006' => 'data格式错误，必须是合法json',
	'2007' => 'data格式错误，必须包含 \'body\',\'infos\'',
	'2008' => '队列标识sign已存在',
	'2009' => '队列id不存在或已删除',
	'2010' => 'requeue只能是布尔值',
	'2011' => 'encoding格式错误',
	'2012' => '获取数量必须是整数',
	'2013' => '获取数量太小，必须大于0',
	'2014' => '获取数量太大，必须小于1000 [或联系开发解除限制]',
	'2015' => '未找到该队列对应的消费回调',
	'2016' => '消息id不能为空',
	'2017' => '数量不能为空',

	'2100' => '队列创建失败',
	'2101' => '消息处理中',
	'2102' => '未知消息',
	'2103' => '消息发送至队列过程中失败',
	'2104' => '队列不存在',
];
