<?php

namespace components\service;

class AmqpConfig
{
	public $host = '127.0.0.1';

	public $port = 5672;

	public $user = 'guest';

	public $pass = 'Guest';

	public $vhost = '/';

	public $api_port = '15672';

	/* status */
	const STATUS_SEND_FAIL	= -1;//发送失败
	const STATUS_SEND_OK	= 1;//已发送,待处理
	const STATUS_WAIT		= 2;//等待中
	const STATUS_HAND		= 3;//处理中
	const STATUS_NO_ACK		= 4;//已处理，未应答
	const STATUS_HAND_OK	= 99;//处理成功
	const STATUS_HAND_FAIL	= -99;//处理失败

	public static $statusMark = [
		-1	=> '发送失败',
		0	=> '未知状态',
		1	=> '已发送，待处理',
		2	=> '等待中',
		3	=> '处理中',
		4	=> '已处理，未应答',
		99	=> '处理成功',
		-99 => '处理失败',
	];

	public static function getMarkById($id)
	{
		if (isset(self::$statusMark[$id]) && is_numeric($id)) {
			return self::$statusMark[$id];
		}

		return self::$statusMark[0];
	}
}
